### Function

# FwupdPlugin byte_array_append_uint16

since: 1.3.1

#### Declaration [src]

    void
    fu_byte_array_append_uint16 (
      GByteArray* array,
      guint16 data,
      FuEndianType endian
    )

#### Description [src]

Adds a 16 bit integer to a byte array.

Available since: 1.3.1

#### Parameters

`array`

  Type: An array of `guint8`

  A `GByteArray`.

  The data is owned by the caller of the function.

`data`

  Type: `guint16`

  Value.

`endian`

  Type: `FuEndianType`

  Endian type, e.g. #G_LITTLE_ENDIAN.